function get_ascension_automation_settings()
	local tbl = {
		should_wear_weapons = have("Operation Patriot Shield"),
		ignore_buffs = {
			["A Fake Kolproxy Buff To Ignore"] = true,
			["Another Example Kolproxy Buff"] = true,
		},
		slimeling_feed_items = {
			"snapdragon pistil", "elephant stinger",
			"spooky stick",
			"diamond-studded cane", "leather mask", "flaming crutch", "infernal insoles", "infernal fife",
			"Knob Goblin scimitar", "Knob Goblin pants", "Knob Goblin tongs", "viking helmet",
			"spiked femur", "lihc face", "rusty grave robbing shovel", "bone flute",
			"knob bugle",
			"cornuthaum", "vorpal blade", "magic whistle", "ninja hot pants",
			"ASCII shirt",
			"crowbarrr", "Jolly Roger charrrm bracelet",
			"glowing red eye", "magilaser blastercannon", "titanium assault umbrella", "armgun", "ridiculously huge sword", "ocarina of space", "amulet of extreme plot significance",
			"rave whistle",
			"black helmet", "black sword", "black greaves",
			"leotarrrd", "grassy cutlass",
			"batblade",
			"antique helmet", "antique spear", "antique shield", "antique greaves",
			"broken sword",
		},
		slimeling_feed_except_one = {
			{ "leather chaps", },
			{ "wonderwall shield", },
			{ "black shield", },
			{ "snake shield", },
			{ "oversized pizza cutter", "huge spoon", },
			{ "hors d'oeuvre tray", },
			{ "hot plate", "coffin lid", },
			{ "tap shoes", },
			{ "worn tophat", "wolf mask", "cornuthaum", },
			{ "dead guy's watch", },
			{ "disturbing fanfic", },
			{ "4-dimensional guitar", },
			{ "mesh cap", },
		},
		use_items = {
			"chest of the Bonerdagon",
			"small box", "large box", "dead mimic",
			"canopic jar",
			"old coin purse", "old leather wallet",
			"Warm Subject gift certificate",
			"black pension check",
			"fat wallet",
			"ancient vinyl coin purse",
			"briefcase",
			"astral hot dog dinner", "astral six-pack", "carton of astral energy drinks",
		},
		sell_items = {
			"meat paste", "meat stack", "dense meat stack",
			"magicalness-in-a-can", "concentrated magicalness pill",
			"moxie weed", "giant moxie weed",
			"strongness elixir", "enchanted barbell",
			"bit-o-cactus", "handful of moss", "suntan lotion of moxiousness", "ancient protein powder",
			"ironic jogging shorts",
			"spooky shrunken head", "bowl of cottage cheese",
			"fat stacks of cash",
			"rat appendix", "batgut", "catgut",
			"Imp Ale", "hot katana blade", "demon skin", "cast",
			"8-ball",
			"gator skin", "decaying goldfish liver", "sewer nuggets", "bottle of sewage schnapps",
			"ghuol ears", "lihc eye", "smart skull", "ghuol egg", "ghuol guolash", "cranberries",
			"grouchy restless spirit",
			"stone of eXtreme power",
			"cocoa eggshell fragment",
			"towel", "gob of wet hair", "cardboard wakizashi",
			"phat turquoise bead", "beach glass bead", "clay peace-sign bead",
			"sunken chest",
			"ballroom blintz", "royal jelly", "unidentified jerky", "mind flayer corpse",
			"procrastination potion", "probability potion",
			"drab sonata",
			"cat appendix",
			"baby killer bee",
			"rocky raccoon", "Tuesday's ruby", "mother's little helper", "happiness",
			"tip jar", "barrrnacle", "grumpy old man charrrm", "tarrrnish charrrm", "all-purpose cleaner",
			"empty Cloaca-Cola bottle", "valuable trinket",
			"enormous belt buckle",
			"hippy medical kit",
			"flimsy clipboard", "stolen office supplies",
		},
		sell_except_one = {
			"yeti fur",
			"fancy bath salts",
			"leathery bat skin", "leathery cat skin", "leathery rat skin",
			"photoprotoneutron torpedo",
			"Angry Farmer candy", "plot hole", "chaos butterfly",
			"metallic A",
			"original G",
		},
		-- TODO: add a non-hardcoded place to look up equip requirements
		default_equipment = {
			hat = {
				{ name = "spangly sombrero", check = function() return (get_mainstat() == "Moxie" and basemoxie() >= 60 and level() < 13) end },
				{ name = "reinforced beaded headband", check = function() return (basemoxie() >= 70) end },
				{ name = "beer helmet", check = function() return (basemoxie() >= 70) end },
				{ name = "worn tophat", check = function() return (basemoxie() >= 47) end },
				{ name = "powdered wig", check = function() return (basemoxie() >= 20) end },
				"miner's helmet",
				"Van der Graaf helmet",
				"chef's hat",
				{ name = "Crown of the Goblin King", check = function() return (basemoxie() >= 20) end },
				"cornuthaum",
				"Knob Goblin elite helm",
				"mariachi hat",
				"snorkel",
			},
			shirt = {
				{ name = "cane-mail shirt", check = function() return (level() < 13) end },
				"astral shirt",
				{ name = "sugar shirt", check = function() return (level() < 13) end },
				{ name = "hipposkin poncho", check = function() return (basemuscle() >= 45 and level() < 13) end },
				{ name = "yak anorak", check = function() return (basemuscle() >= 42) end },
				{ name = "goth kid t-shirt", check = function() return (level() < 13) end },
				"Grateful Undead T-shirt",
				{ name = "souvenir ski t-shirt", check = function() return (basemuscle() >= 35) end },
				"vampire cape",
			},
-- 			weapon = {
-- 				"hilarious comedy prop",
-- 			}
			pants = {
				{ name = "spangly mariachi pants", check = function() return (basemoxie() >= 60) end },
				"astral shorts",
				{ name = "buoybottoms", check = function() return (basemoxie() >= 60 and level() < 13) end },
				{ name = "leather chaps", check = function() return (basemoxie() >= 65) end },
				{ name = "distressed denim pants", check = function() return (basemoxie() >= 70) end },
				{ name = "bullet-proof corduroys", check = function() return (basemoxie() >= 70) end },
				"miner's pants",
				"swashbuckling pants",
				"Boss Bat britches",
				"Knob Goblin elite pants",
				{ name = "ninja hot pants", check = function() return (basemoxie() >= 20) end },
				"Knob Goblin pants",
				"old sweatpants",
			},
			accessories = {
				{ name = "astral belt", check = function() return (level() >= 7 or (challenge == "fist" and fist_level > 0)) and (level() < 13) end }, -- How early should we wear this?
				"astral ring",
				"astral mask",
				"plastic vampire fangs",
				{ name = "Loathing Legion necktie", check = function() return (level() < 13) end },
				{ name = "C.A.R.N.I.V.O.R.E. button", check = function() return (level() < 13) end },
				{ name = "shining halo", check = function() return (level() < 13 and not equipment().weapon) end },
				{ name = "ring of aggravate monster", check = function() return (level() < 13) end },
				{ name = "Nickel Gamma of Frugality", check = function() return (basemysticality() >= 85) end },
				"observational glasses",
				{ name = "pirate fledges", check = function() return (basemysticality() >= 60) end },
				"Cape of the Goblin King",
				{ name = "badass belt", check = function() return (basemysticality() >= 35) end },
				{ name = "shiny ring", check = function() return (basemysticality() >= 10) end },
			}
		}
	}
	if tbl.should_wear_weapons then
		tbl.default_equipment.weapon = {
			"hilarious comedy prop",
			"rubber band gun",
		}
		tbl.default_equipment.offhand = {
			"Operation Patriot Shield",
		}
	end
	function tbl.canwear_itemname(x)
		local itemname = nil
		if type(x) == "string" then
			if have(x) then
				itemname = x
			end
		elseif type(x) == "table" then
			if have(x.name) and x.check and x.check() then
				itemname = x.name
			end
		end
		return itemname
	end

	if have("powdered wig") and basemoxie() >= 20 then
		table.insert(tbl.sell_items, "Van der Graaf helmet")
	end
	if have("pirate fledges") then
		table.insert(tbl.sell_items, "The Big Book of Pirate Insults")
	end
	if have("intragalactic rowboat") then
		table.insert(tbl.sell_items, "awful poetry journal")
		table.insert(tbl.sell_items, "furry fur")
	end
	if meat() < 2000 then
		table.insert(tbl.sell_items, "commemorative war stein")
	end

	if skills then
		local maybe_ignore_skills = {
			["Musk of the Moose"] = "Musk of the Moose",
			["A Few Extra Pounds"] = "Holiday Weight Gain",
			["Ghostly Shell"] = "Ghostly Shell",
			["Astral Shell"] = "Astral Shell",
			["Empathy"] = "Empathy of the Newt",
			["Curiosity of Br'er Tarrypin"] = "Curiosity of Br'er Tarrypin",
			["Pasta Oneness"] = "Manicotti Meditation",
			["Leash of Linguini"] = "Leash of Linguini",
			["Spirit of Bacon Grease"] = "Flavour of Magic",
			["Spirit of Garlic"] = "Flavour of Magic",
			["Spirit of Peppermint"] = "Flavour of Magic",
			["Springy Fusilli"] = "Springy Fusilli",
			["Saucemastery"] = "Sauce Contemplation",
			["Jalape&ntilde;o Saucesphere"] = "Jalape&ntilde;o Saucesphere",
			["Jaba&ntilde;ero Saucesphere"] = "Jaba&ntilde;ero Saucesphere",
			["Smooth Movements"] = "Smooth Movement",
			["The Moxious Madrigal"] = "The Moxious Madrigal",
			["The Magical Mojomuscular Melody"] = "The Magical Mojomuscular Melody",
			["Power Ballad of the Arrowsmith"] = "The Power Ballad of the Arrowsmith",
			["Polka of Plenty"] = "The Polka of Plenty",
			["Fat Leon's Phat Loot Lyric"] = "Fat Leon's Phat Loot Lyric",
			["Ode to Booze"] = "The Ode to Booze",
			["The Sonata of Sneakiness"] = "The Sonata of Sneakiness",
			["Carlweather's Cantata of Confrontation"] = "Carlweather's Cantata of Confrontation",
			["Ur-Kel's Aria of Annoyance"] = "Ur-Kel's Aria of Annoyance",
		}
		for x, y in pairs(maybe_ignore_skills) do
			if not skills[y] then
				tbl.ignore_buffs[x] = true
			end
		end
	end

	return tbl
end
